## org.acedb
Interface Database

public interface Database

An encapsulation of an ACeDB Database server. The Database implementation is aware of the transport used to connect to the server, and may hold a pool of connections.

Author:
  Matthew Pocock, Thomas Down

Method Summary
`AceSet` `fetch(AceURL url)` Return objects from the database.
`Connection` `getConnection()` Return a connection object which allows ACeDB commands to be executed directly on the server.
`AceURL` `toURL()` Returns the url to the database.

Method Detail

### getConnection

    public Connection getConnection()
                             throws AceException

  Return a connection object which allows ACeDB commands to be executed directly on the server.

### toURL

    public AceURL toURL()

  Returns the url to the database.

### fetch

    public AceSet fetch(AceURL url)
                 throws AceException

  Return objects from the database.